LibreOffice LibreOffice 25.2 SDK API Reference

Modules | Variables
SearchAlgorithms2.idl File Reference

Go to the source code of this file.

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::util
| Miscellaneous interfaces for sorting, connecting objects etc.

## Constant Groups
constants | com::sun::star::util::SearchAlgorithms2
| Constants that define the search algorithm to be used with com::sun::star::util::SearchOptions2::SearchAlgorithms2.

## Variables
const short | ABSOLUTE = 1
| Literal. More...
const short | REGEXP = 2
| Regular expression. More...
const short | APPROXIMATE = 3
| Weighted Levenshtein Distance. More...
const short | WILDCARD = 4
| Wildcards '*' and '?' An escape character is defined by setting com::sun::star::util::SearchOptions2::WildcardEscapeCharacter. More...